<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN"
"http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head><meta http-equiv="content-type" content="text/html; charset=utf-8" />
<title>[244214] trunk/Tools</title>
</head>
<body>

<style type="text/css"><!--
#msg dl.meta { border: 1px #006 solid; background: #369; padding: 6px; color: #fff; }
#msg dl.meta dt { float: left; width: 6em; font-weight: bold; }
#msg dt:after { content:':';}
#msg dl, #msg dt, #msg ul, #msg li, #header, #footer, #logmsg { font-family: verdana,arial,helvetica,sans-serif; font-size: 10pt;  }
#msg dl a { font-weight: bold}
#msg dl a:link    { color:#fc3; }
#msg dl a:active  { color:#ff0; }
#msg dl a:visited { color:#cc6; }
h3 { font-family: verdana,arial,helvetica,sans-serif; font-size: 10pt; font-weight: bold; }
#msg pre { overflow: auto; background: #ffc; border: 1px #fa0 solid; padding: 6px; }
#logmsg { background: #ffc; border: 1px #fa0 solid; padding: 1em 1em 0 1em; }
#logmsg p, #logmsg pre, #logmsg blockquote { margin: 0 0 1em 0; }
#logmsg p, #logmsg li, #logmsg dt, #logmsg dd { line-height: 14pt; }
#logmsg h1, #logmsg h2, #logmsg h3, #logmsg h4, #logmsg h5, #logmsg h6 { margin: .5em 0; }
#logmsg h1:first-child, #logmsg h2:first-child, #logmsg h3:first-child, #logmsg h4:first-child, #logmsg h5:first-child, #logmsg h6:first-child { margin-top: 0; }
#logmsg ul, #logmsg ol { padding: 0; list-style-position: inside; margin: 0 0 0 1em; }
#logmsg ul { text-indent: -1em; padding-left: 1em; }#logmsg ol { text-indent: -1.5em; padding-left: 1.5em; }
#logmsg > ul, #logmsg > ol { margin: 0 0 1em 0; }
#logmsg pre { background: #eee; padding: 1em; }
#logmsg blockquote { border: 1px solid #fa0; border-left-width: 10px; padding: 1em 1em 0 1em; background: white;}
#logmsg dl { margin: 0; }
#logmsg dt { font-weight: bold; }
#logmsg dd { margin: 0; padding: 0 0 0.5em 0; }
#logmsg dd:before { content:'\00bb';}
#logmsg table { border-spacing: 0px; border-collapse: collapse; border-top: 4px solid #fa0; border-bottom: 1px solid #fa0; background: #fff; }
#logmsg table th { text-align: left; font-weight: normal; padding: 0.2em 0.5em; border-top: 1px dotted #fa0; }
#logmsg table td { text-align: right; border-top: 1px dotted #fa0; padding: 0.2em 0.5em; }
#logmsg table thead th { text-align: center; border-bottom: 1px solid #fa0; }
#logmsg table th.Corner { text-align: left; }
#logmsg hr { border: none 0; border-top: 2px dashed #fa0; height: 1px; }
#header, #footer { color: #fff; background: #636; border: 1px #300 solid; padding: 6px; }
#patch { width: 100%; }
#patch h4 {font-family: verdana,arial,helvetica,sans-serif;font-size:10pt;padding:8px;background:#369;color:#fff;margin:0;}
#patch .propset h4, #patch .binary h4 {margin:0;}
#patch pre {padding:0;line-height:1.2em;margin:0;}
#patch .diff {width:100%;background:#eee;padding: 0 0 10px 0;overflow:auto;}
#patch .propset .diff, #patch .binary .diff  {padding:10px 0;}
#patch span {display:block;padding:0 10px;}
#patch .modfile, #patch .addfile, #patch .delfile, #patch .propset, #patch .binary, #patch .copfile {border:1px solid #ccc;margin:10px 0;}
#patch ins {background:#dfd;text-decoration:none;display:block;padding:0 10px;}
#patch del {background:#fdd;text-decoration:none;display:block;padding:0 10px;}
#patch .lines, .info {color:#888;background:#fff;}
--></style>
<div id="msg">
<dl class="meta">
<dt>Revision</dt> <dd><a href="http://trac.webkit.org/projects/webkit/changeset/244214">244214</a></dd>
<dt>Author</dt> <dd>commit-queue@webkit.org</dd>
<dt>Date</dt> <dd>2019-04-12 06:29:42 -0700 (Fri, 12 Apr 2019)</dd>
</dl>

<h3>Log Message</h3>
<pre>[GTK][WPE] Fix pacman install-dependencies packages
https://bugs.webkit.org/show_bug.cgi?id=196817

Patch by Ludovico de Nittis <ludovico.denittis@collabora.com> on 2019-04-12
Reviewed by Žan Doberšek.

python3-setuptools is called python-setuptools
ruby-highline is only available on AUR
libv4l-devel is incorporated in v4l-utils

* gtk/install-dependencies:
* wpe/install-dependencies:</pre>

<h3>Modified Paths</h3>
<ul>
<li><a href="#trunkToolsChangeLog">trunk/Tools/ChangeLog</a></li>
<li><a href="#trunkToolsgtkinstalldependencies">trunk/Tools/gtk/install-dependencies</a></li>
<li><a href="#trunkToolswpeinstalldependencies">trunk/Tools/wpe/install-dependencies</a></li>
</ul>

</div>
<div id="patch">
<h3>Diff</h3>
<a id="trunkToolsChangeLog"></a>
<div class="modfile"><h4>Modified: trunk/Tools/ChangeLog (244213 => 244214)</h4>
<pre class="diff"><span>
<span class="info">--- trunk/Tools/ChangeLog    2019-04-12 12:04:20 UTC (rev 244213)
+++ trunk/Tools/ChangeLog       2019-04-12 13:29:42 UTC (rev 244214)
</span><span class="lines">@@ -1,3 +1,17 @@
</span><ins>+2019-04-12  Ludovico de Nittis  <ludovico.denittis@collabora.com>
+
+        [GTK][WPE] Fix pacman install-dependencies packages
+        https://bugs.webkit.org/show_bug.cgi?id=196817
+
+        Reviewed by Žan Doberšek.
+        
+        python3-setuptools is called python-setuptools
+        ruby-highline is only available on AUR
+        libv4l-devel is incorporated in v4l-utils
+
+        * gtk/install-dependencies:
+        * wpe/install-dependencies:
+
</ins><span class="cx"> 2019-04-11  Carlos Garcia Campos  <cgarcia@igalia.com>
</span><span class="cx"> 
</span><span class="cx">         [GTK] REGRESSION(r243860): Many tests failing
</span></span></pre></div>
<a id="trunkToolsgtkinstalldependencies"></a>
<div class="modfile"><h4>Modified: trunk/Tools/gtk/install-dependencies (244213 => 244214)</h4>
<pre class="diff"><span>
<span class="info">--- trunk/Tools/gtk/install-dependencies     2019-04-12 12:04:20 UTC (rev 244213)
+++ trunk/Tools/gtk/install-dependencies        2019-04-12 13:29:42 UTC (rev 244214)
</span><span class="lines">@@ -370,7 +370,7 @@
</span><span class="cx">         perl-xml-libxml\
</span><span class="cx">         python2 \
</span><span class="cx">         python2-lxml \
</span><del>-        python3-setuptools \
</del><ins>+        python-setuptools \
</ins><span class="cx">         ragel \
</span><span class="cx">         bigreqsproto \
</span><span class="cx">         compositeproto \
</span></span></pre></div>
<a id="trunkToolswpeinstalldependencies"></a>
<div class="modfile"><h4>Modified: trunk/Tools/wpe/install-dependencies (244213 => 244214)</h4>
<pre class="diff"><span>
<span class="info">--- trunk/Tools/wpe/install-dependencies     2019-04-12 12:04:20 UTC (rev 244213)
+++ trunk/Tools/wpe/install-dependencies        2019-04-12 13:29:42 UTC (rev 244214)
</span><span class="lines">@@ -191,7 +191,7 @@
</span><span class="cx">         zlib"
</span><span class="cx"> 
</span><span class="cx">     # These are dependencies necessary for running tests.
</span><del>-    # Note: apache-mod_bw and ruby-json is available in the AUR
</del><ins>+    # Note: apache-mod_bw, ruby-json and ruby-highline are available in the AUR
</ins><span class="cx">     packages="$packages \
</span><span class="cx">         apache \
</span><span class="cx">         curl \
</span><span class="lines">@@ -204,8 +204,7 @@
</span><span class="cx">         python2-gobject \
</span><span class="cx">         python2-lxml \
</span><span class="cx">         python2-psutil \
</span><del>-        ruby \
-        ruby-highline"
</del><ins>+        ruby"
</ins><span class="cx"> 
</span><span class="cx">     # These are dependencies necessary for building the jhbuild.
</span><span class="cx">     packages="$packages \
</span><span class="lines">@@ -217,7 +216,6 @@
</span><span class="cx">         libpulse \
</span><span class="cx">         libsrtp \
</span><span class="cx">         libtheora \
</span><del>-        libv4l-dev \
</del><span class="cx">         libvorbis \
</span><span class="cx">         libvpx \
</span><span class="cx">         libxcb \
</span><span class="lines">@@ -228,7 +226,7 @@
</span><span class="cx">         opus \
</span><span class="cx">         orc \
</span><span class="cx">         perl-xml-libxml \
</span><del>-        python3-setuptools \
</del><ins>+        python-setuptools \
</ins><span class="cx">         util-linux \
</span><span class="cx">         v4l-utils \
</span><span class="cx">         xorg-xrandr \
</span><span class="lines">@@ -240,9 +238,26 @@
</span><span class="cx">         svn"
</span><span class="cx">     pacman -S --needed $packages
</span><span class="cx"> 
</span><del>-    echo "You will also need to follow the instructions on the Arch Wiki to make"
-    echo "'python' call python2 in the webkit folder"
-    echo "https://wiki.archlinux.org/index.php/Python#Dealing_with_version_problem_in_build_scripts"
</del><ins>+        cat <<-EOF
+
+The following packages are available from AUR, and needed for running tests:
+
+    apache-mod_bw ruby-json ruby-highline
+
+Instructions on how to use the AUR can be found on the Arch Wiki:
+
+    https://wiki.archlinux.org/index.php/Arch_User_Repository
+
+You will also need to follow the instructions on the wiki to make 'python'
+call python2 in the WebKit folder:
+
+    https://wiki.archlinux.org/index.php/Python#Dealing_with_version_problem_in_build_scripts
+
+Alternatively, you may use a Python 2.x virtualenv while hacking on WebKitGTK+:
+
+    https://wiki.archlinux.org/index.php/Python/Virtual_environment
+
+EOF
</ins><span class="cx"> }
</span><span class="cx"> 
</span><span class="cx"> function installDependenciesWithDnf {
</span></span></pre>
</div>
</div>

</body>
</html>